VULKAN_HPP_NAMESPACE::LayerProperties Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkLayerProperties const & () const
| operator VkLayerProperties & ()
bool | operator== (LayerProperties const &rhs) const
bool | operator!= (LayerProperties const &rhs) const

## Data Fields

char | layerName [VK_MAX_EXTENSION_NAME_SIZE]
uint32_t | specVersion
uint32_t | implementationVersion
char | description [VK_MAX_DESCRIPTION_SIZE]

## Detailed Description

Definition at line 5603 of file vulkan.hpp.

## Member Function Documentation

## operator VkLayerProperties &()

VULKAN_HPP_NAMESPACE::LayerProperties::operator VkLayerProperties & | ( |  | ) |

inline

Definition at line 5610 of file vulkan.hpp.

{
return *reinterpret_cast<VkLayerProperties*>(this);
}

## operator VkLayerProperties const &()

VULKAN_HPP_NAMESPACE::LayerProperties::operator VkLayerProperties const & | ( |  | ) | const

inline

Definition at line 5605 of file vulkan.hpp.

{
return *reinterpret_cast<const VkLayerProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::LayerProperties::operator!= | ( | LayerProperties const & | rhs | ) | const

inline

Definition at line 5623 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::LayerProperties::operator== | ( | LayerProperties const & | rhs | ) | const

inline

Definition at line 5615 of file vulkan.hpp.

{
return ( memcmp( layerName, rhs.layerName, VK_MAX_EXTENSION_NAME_SIZE * sizeof( char ) ) == 0 )
&& ( specVersion == rhs.specVersion )
&& ( implementationVersion == rhs.implementationVersion )
&& ( memcmp( description, rhs.description, VK_MAX_DESCRIPTION_SIZE * sizeof( char ) ) == 0 );
}

References description, implementationVersion, layerName, specVersion, VK_MAX_DESCRIPTION_SIZE, and VK_MAX_EXTENSION_NAME_SIZE.

Referenced by operator!=().

## Field Documentation

## description

char VULKAN_HPP_NAMESPACE::LayerProperties::description[VK_MAX_DESCRIPTION_SIZE]

Definition at line 5631 of file vulkan.hpp.

Referenced by operator==().

## implementationVersion

uint32_t VULKAN_HPP_NAMESPACE::LayerProperties::implementationVersion

Definition at line 5630 of file vulkan.hpp.

Referenced by operator==().

## layerName

char VULKAN_HPP_NAMESPACE::LayerProperties::layerName[VK_MAX_EXTENSION_NAME_SIZE]

Definition at line 5628 of file vulkan.hpp.

Referenced by operator==().

## specVersion

uint32_t VULKAN_HPP_NAMESPACE::LayerProperties::specVersion

Definition at line 5629 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_MAX_DESCRIPTION_SIZE
#define VK_MAX_DESCRIPTION_SIZE
Definition: vulkan_core.h:109
VULKAN_HPP_NAMESPACE::LayerProperties::operator==
bool operator==(LayerProperties const &rhs) const
Definition: vulkan.hpp:5615
VULKAN_HPP_NAMESPACE::LayerProperties::implementationVersion
uint32_t implementationVersion
Definition: vulkan.hpp:5630
VULKAN_HPP_NAMESPACE::LayerProperties::description
char description[VK_MAX_DESCRIPTION_SIZE]
Definition: vulkan.hpp:5631
VK_MAX_EXTENSION_NAME_SIZE
#define VK_MAX_EXTENSION_NAME_SIZE
Definition: vulkan_core.h:108
VULKAN_HPP_NAMESPACE::LayerProperties::specVersion
uint32_t specVersion
Definition: vulkan.hpp:5629
VULKAN_HPP_NAMESPACE::LayerProperties::layerName
char layerName[VK_MAX_EXTENSION_NAME_SIZE]
Definition: vulkan.hpp:5628
VkLayerProperties
Definition: vulkan_core.h:2052